<script setup lang="ts">
import type { SelectGroupProps } from "reka-ui";
import type { HTMLAttributes } from "vue";
import { reactiveOmit } from "@vueuse/core";
import { SelectGroup, useForwardProps } from "reka-ui";

interface Props extends SelectGroupProps {
  class?: HTMLAttributes["class"];
}

const props = defineProps<Props>();
const delegatedProps = reactiveOmit(props, "class");
const forwarded = useForwardProps(delegatedProps);
</script>

<template>
  <SelectGroup data-slot="select-group" v-bind="forwarded" :class="props.class">
    <slot />
  </SelectGroup>
</template>
